## AnjutaAsyncNotify

AnjutaAsyncNotify — Mechanism used by interfaces that run asynchronously to notify clients of finished tasks and to report errors.

## Functions

AnjutaAsyncNotify * | anjuta_async_notify_new ()
void | anjuta_async_notify_get_error ()
void | anjuta_async_notify_notify_finished ()
void | anjuta_async_notify_set_error ()

## Signals

void | finished |

## Types and Values

| AnjutaAsyncNotifyPriv

## Object Hierarchy

        GObject
        ╰── AnjutaAsyncNotify

## Description

AnjutaAsyncNotify is a way to allow Anjuta interfaces that run asynchronously, such as IAnjutaVCS, to notify clients that a method has completed. AnjutaAsyncNotify also reports errors to the user.

All clients need to do is create an instance of AnjutaAsyncNotify, connect to the finished signal, and pass it in to the interface method to be called.

## Functions

### anjuta_async_notify_new ()

    AnjutaAsyncNotify *
    anjuta_async_notify_new (void);

Creates a new AnjutaAsyncNotify object.

#### Returns

a new AnjutaAsyncNotify instance

### anjuta_async_notify_get_error ()

    void
    anjuta_async_notify_get_error (AnjutaAsyncNotify *self,
                                   GError **error);

Gets the error set on `self` .

#### Parameters

self | An AnjutaAsyncNotify object |
error | Return location for the error set by the called interface to which this object was passed. If no error is set, `error` is set to NULL. |

### anjuta_async_notify_notify_finished ()

    void
    anjuta_async_notify_notify_finished (AnjutaAsyncNotify *self);

Emits the finished signal. This method should only be used by interface methods themselves, not by clients.

#### Parameters

self | An AnjutaAsyncNotify object |

### anjuta_async_notify_set_error ()

    void
    anjuta_async_notify_set_error (AnjutaAsyncNotify *self,
                                   GError *error);

Sets the error for an interface call. This method should only be used by interface implementations themselves, not by clients.

#### Parameters

self | An AnjutaAsyncNotify object |
error | Error to set |

## Types and Values

### AnjutaAsyncNotifyPriv

    typedef struct _AnjutaAsyncNotifyPriv AnjutaAsyncNotifyPriv;

## Signal Details

### The `“finished”` signal

    void
    user_function (AnjutaAsyncNotify *notify,
                   gpointer           user_data)